List product categories
curl --request GET \
--url https://api.bachs.io/v1/reference/product-categories \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/reference/product-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/reference/product-categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/reference/product-categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"categories": [
{
"value": "software_as_a_service_saas",
"label": "Software as a service (SaaS)"
},
{
"value": "mobile_or_web_app",
"label": "Mobile or web app"
}
],
"sections": [
{
"label": "Software & technology",
"categories": [
"software_as_a_service_saas",
"mobile_or_web_app"
]
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}Reference
List product categories
The industry categories a business can declare as business_profile.product_category. Returns a flat categories list of {value, label} and the same values grouped into sections for display. Submit the value. See Requirements.
GET
/
v1
/
reference
/
product-categories
List product categories
curl --request GET \
--url https://api.bachs.io/v1/reference/product-categories \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/reference/product-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/reference/product-categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/reference/product-categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"categories": [
{
"value": "software_as_a_service_saas",
"label": "Software as a service (SaaS)"
},
{
"value": "mobile_or_web_app",
"label": "Mobile or web app"
}
],
"sections": [
{
"label": "Software & technology",
"categories": [
"software_as_a_service_saas",
"mobile_or_web_app"
]
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}Authorizations
Bearer token authentication. Pass your API key as Authorization: Bearer sk_.... See Authentication for keys, scopes, and sandbox vs production.
Response
The product categories and their display sections.

